Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: REQUIRED | OPTIONAL | DETAIL: ELEMENT

## org.drools.planner.api.domain.variable
Annotation Type PlanningVariable

    @Target(value=METHOD)
    @Retention(value=RUNTIME)
    public @interface PlanningVariable

Specifies that a bean property should be optimized by Drools Planner.

It is specified on a getter of a java bean property of a class with the `PlanningEntity` annotation.

Optional Element Summary
`Class<? extends Comparator>` | `strengthComparatorClass` Allows a collection of planning values for this variable to be sorted by strength.
`Class<? extends PlanningValueStrengthWeightFactory>` | `strengthWeightFactoryClass` Allows a collection of planning values for this variable to be sorted by strength.

### strengthComparatorClass

    public abstract Class<? extends Comparator> strengthComparatorClass

  Allows a collection of planning values for this variable to be sorted by strength.

  Do not use together with `strengthWeightFactoryClass()`.

  Returns:
    `PlanningVariable.NullStrengthComparator` when it is null (workaround for annotation limitation)
  Default:
    org.drools.planner.api.domain.variable.PlanningVariable.NullStrengthComparator.class

### strengthWeightFactoryClass

    public abstract Class<? extends PlanningValueStrengthWeightFactory> strengthWeightFactoryClass

  Allows a collection of planning values for this variable to be sorted by strength.

  Do not use together with `strengthComparatorClass()`.

  Returns:
    `PlanningVariable.NullStrengthWeightFactory` when it is null (workaround for annotation limitation)
  See Also:
    `PlanningValueStrengthWeightFactory`
  Default:
    org.drools.planner.api.domain.variable.PlanningVariable.NullStrengthWeightFactory.class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: REQUIRED | OPTIONAL | DETAIL: ELEMENT

Copyright © 2001-2012 JBoss by Red Hat. All Rights Reserved.